=== debian/changelog ===
justbackoff (0.6.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 10 Oct 2024 11:15:37 +0100

justbackoff (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1084079)

 -- Edward Betts <edward@4angle.com>  Fri, 04 Oct 2024 18:02:13 +0100
