=== debian/control ===
Source: justbackoff
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/admiralobvious/justbackoff
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/justbackoff
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/justbackoff.git

Package: python3-justbackoff
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Simple backoff algorithm
 This library provides a practical implementation of a backoff algorithm. It
 operates by initiating with a minimum delay which is subsequently multiplied
 by a factor upon each invocation of 'duration()'. The delay is capped at a
 specified maximum threshold. Users can reset the delay to its initial state by
 invoking the 'reset()' method. Optionally, 'jitter' can be introduced to
 introduce randomness into the delay duration, enhancing resilience against
 concurrent retry storms in distributed systems by randomly staggering retry
 attempts. This characteristic is particularly useful when establishing
 connections, providing a structured approach to handling retries. The backoff
 library can be applied in various scenarios such as network communication
 attempts, where it communicates with entities like sockets or other network
 services.
