=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/justbackoff-$1\.tar\.gz/ \
  https://github.com/admiralobvious/justbackoff/tags .*/v?(\d\S+)\.tar\.gz
